Skip to main content
POST
/
open-api
/
v1.1
/
memberships
/
posts
/
video_embeds
Create Video Embed Post
curl --request POST \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/posts/video_embeds \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": {
    "core": {
      "title": "<string>",
      "description": "<string>",
      "liveAt": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ]
    },
    "series": [
      {
        "id": 123
      }
    ]
  },
  "access": {
    "tiers": [
      {
        "id": 123
      }
    ],
    "price": 25150
  },
  "embed": {
    "url": "<string>"
  },
  "notifications": {
    "enabled": true
  }
}
'
import requests

url = "https://api.fourthwall.com/open-api/v1.1/memberships/posts/video_embeds"

payload = {
"attributes": {
"core": {
"title": "<string>",
"description": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"tags": ["<string>"]
},
"series": [{ "id": 123 }]
},
"access": {
"tiers": [{ "id": 123 }],
"price": 25150
},
"embed": { "url": "<string>" },
"notifications": { "enabled": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
core: {
title: '<string>',
description: '<string>',
liveAt: '2023-11-07T05:31:56Z',
tags: ['<string>']
},
series: [{id: 123}]
},
access: {tiers: [{id: 123}], price: 25150},
embed: {url: '<string>'},
notifications: {enabled: true}
})
};

fetch('https://api.fourthwall.com/open-api/v1.1/memberships/posts/video_embeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "VideoEmbed",
  "action": "Create",
  "postId": 123,
  "imageDirectUploadData": {
    "uploadUrl": "<string>",
    "headers": {
      "content-MD5": "7vJP+O8buKShZwMbdl7wJQ==",
      "content-Disposition": "inline; filename=\"7c8f5486-7841-4890-841f-53a3ebe2b445\"; filename*=UTF-8''7c8f5486-7841-4890-841f-53a3ebe2b445",
      "cache-Control": "public, max-age=2592000"
    },
    "signedId": "<string>"
  }
}
{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}
{
"message": "<string>"
}
OAuth scope: memberships_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Body

application/json
attributes
object
required
access
object
required
embed
object
required
notifications
object
required
imageDirectUploadData
object

Response

type
enum<string>
required
Available options:
VideoEmbed
action
enum<string>
required
Available options:
Create
postId
integer
required
imageDirectUploadData
object